# Add-RASAppPackageAssigned.md

## NAME

Add-RASAppPackageAssigned

## SYNOPSIS

Assigns an application package to an object type.

## SYNTAX

\*\*Add-RASAppPackageAssigned -[DefObjType](#defobjtype) {RDSDef | VDIDef | AVDSingleSessionDefaultSettings | AVDMultiSessionDefaultSettings | VDIGuestDef} -[PackageName](#packagename-string) *(string)* -[Version](#version-string) *(string)* \[[SiteId](#siteid-string) *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Add-RASAppPackageAssigned \[[Id](#id-string)] *(uint)* -[ObjType](#objtype) {RDSHost | RDS | RDSHostPool | RDSGroup | VDIHostPool | VDIPool | AVDHostPool} -[PackageName](#packagename-string) *(string)* -[Version](#version-string) *(string)* \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Add-RASAppPackageAssigned \[-[InputObject](#inputobject)] *(*[*RASSerilazableObj*](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/rasserilazableobj.md)*)* -[PackageName](#packagename-string) *(string)* -[Version](#version-string) *(string)* \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Add-RASAppPackageAssigned \[[Name](#name-string)] *(string)* \[\[-[SiteId](#siteid-string)] *(uint)*] -[ObjType](#objtype) {RDSHost | RDS | RDSHostPool | RDSGroup | VDIHostPool | VDIPool | AVDHostPool} -[PackageName](#packagename-string) *(string)* -[Version](#version-string) *(string)* \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Adds assigned application package to an object type.

## PARAMETERS

## Name (string)

The name for which to modify the application package assigned settings.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

Site ID from which to modify the application package assigned settings.

If the parameter is omitted, the Licensing Server site ID will be used.

```
        Required?                    false

        Position?                    1

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Id (uint)

The ID for which to modify the Application Package assigned settings.

```
        Required?                    true

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## ObjType

([AppPackageAssignedObjType](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/apppackageassignedobjtype.md)) The Object Type for which to modify the assigned application package settings.

Possible values: RDSHost, RDS, RDSHostPool, RDSGroup, VDIHostPool, VDIPool, AVDHostPool

```
        Required?                    true

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## DefObjType ([ServerDefObjType](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/serverdefobjtype.md))

The Default Object Type for which to modify the application package settings.

Possible values: RDSDef, VDIDef, AVDSingleSessionDefaultSettings, AVDMultiSessionDefaultSettings, VDIGuestDef

```
        Required?                    true

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## InputObject

([RASSerilazableObj](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/rasserilazableobj.md)) An object of type RDS, RDSHostPool or VDIHostPool for which to modify the Assigned Application settings.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## PackageName (string)

The application package name.

This must be the actual application package name used in the RAS farm.

```
        Required?                    true

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Version (string)

The version of the application package.

This must be the actual application package version used in the RAS farm.

```
        Required?                    true

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Add-RASAppPackageAssigned -Id 3 -ObjType VDIPool -PackageName Mozilla.MozillaFireFox -Version 99.0.0.0

Adds the assigned application package to the object type VDIPool.

## RELATED LINKS

* [Remove-RASAppPackageAssigned](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rasapppackageassigned.md)
* [Get-RASAppPackageAssigned](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasapppackageassigned.md)
* [Set-RASAppPackageAssigned](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rasapppackageassigned.md)
* [Invoke-RASAppPackageAssigned](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/invoke-rasapppackageassigned.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/add-rasapppackageassigned.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
